From 51961ae08d242b86eeac0085e9f3e8d7449aacfd Mon Sep 17 00:00:00 2001
From: Upgrade Helper <auh@yoctoproject.org>
Date: Wed, 15 Apr 2026 13:32:54 +0000
Subject: [PATCH] libmicrohttpd: upgrade 1.0.2 -> 1.0.4

---
 ...0001-Remove-broken-experimental-code.patch | 14472 ----------------
 ...ohttpd_1.0.2.bb => libmicrohttpd_1.0.4.bb} |     5 +-
 2 files changed, 2 insertions(+), 14475 deletions(-)
 delete mode 100644 meta/recipes-support/libmicrohttpd/files/0001-Remove-broken-experimental-code.patch
 rename meta/recipes-support/libmicrohttpd/{libmicrohttpd_1.0.2.bb => libmicrohttpd_1.0.4.bb} (78%)

diff --git a/meta/recipes-support/libmicrohttpd/libmicrohttpd_1.0.2.bb b/meta/recipes-support/libmicrohttpd/libmicrohttpd_1.0.4.bb
similarity index 78%
rename from meta/recipes-support/libmicrohttpd/libmicrohttpd_1.0.2.bb
rename to meta/recipes-support/libmicrohttpd/libmicrohttpd_1.0.4.bb
index fdca510d0b..48163b440d 100644
--- a/meta/recipes-support/libmicrohttpd/libmicrohttpd_1.0.2.bb
+++ b/meta/recipes-support/libmicrohttpd/libmicrohttpd_1.0.4.bb
@@ -6,9 +6,8 @@ SECTION = "net"
 
 DEPENDS = "file"
 
-SRC_URI = "${GNU_MIRROR}/libmicrohttpd/${BPN}-${PV}.tar.gz \
-           file://0001-Remove-broken-experimental-code.patch"
-SRC_URI[sha256sum] = "df324fcd0834175dab07483133902d9774a605bfa298025f69883288fd20a8c7"
+SRC_URI = "${GNU_MIRROR}/libmicrohttpd/${BPN}-${PV}.tar.gz"
+SRC_URI[sha256sum] = "d72e5cfccd62bf2f79252edbc3828eeedc088ce71fc47b7c9e3bd7246b3d54de"
 
 inherit autotools lib_package pkgconfig gettext
 
-- 
2.47.1

